Module org.jfree.chart3d
Package org.jfree.chart3d.table

# Interface TableElementOnDraw

public interface TableElementOnDraw
An interface that provides access to the `TableElement` rendering process.

Since:
  1.3

## Method Summary

Modifier and Type
Method
Description
`void`
`afterDraw(TableElement element, Graphics2D g2, Rectangle2D bounds)`
A callback method that is called after an element is drawn.
`void`
`beforeDraw(TableElement element, Graphics2D g2, Rectangle2D bounds)`
A callback method that is called before an element is drawn.

## Method Details

### beforeDraw

void beforeDraw(TableElement element, Graphics2D g2, Rectangle2D bounds)
A callback method that is called before an element is drawn.

Parameters:
  `element` - the element (`null` not permitted).
  `g2` - the graphics target (`null` not permitted).
  `bounds` - the bounds (`null` not permitted).

### afterDraw

void afterDraw(TableElement element, Graphics2D g2, Rectangle2D bounds)
A callback method that is called after an element is drawn.

Parameters:
  `element` - the element (`null` not permitted).
  `g2` - the graphics target (`null` not permitted).
  `bounds` - the bounds (`null` not permitted).